CVE-2020-29374

NameCVE-2020-29374
DescriptionAn issue was discovered in the Linux kernel before 5.7.3, related to mm/gup.c and mm/huge_memory.c. The get_user_pages (aka gup) implementation, when used for a copy-on-write page, does not properly consider the semantics of read operations and therefore can grant unintended write access, aka CID-17839856fd58.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)stretch4.9.228-1vulnerable
stretch (security)4.9.258-1vulnerable
buster4.19.181-1vulnerable
buster (security)4.19.171-2vulnerable
bullseye5.10.26-1fixed
sid5.10.28-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsource(unstable)5.7.6-1

Notes

https://git.kernel.org/linus/17839856fd588f4ab6b789f482ed3ffd7c403e1f
https://bugs.chromium.org/p/project-zero/issues/detail?id=2045

Search for package or bug name: Reporting problems